'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Shared = require('../../Shared');

var _Shared2 = _interopRequireDefault(_Shared);

var _Label = require('../../theme/components/Label');

var _Label2 = _interopRequireDefault(_Label);

var _dedupe = require('classnames/dedupe');

var _dedupe2 = _interopRequireDefault(_dedupe);

var _mapProps = require('recompose/mapProps');

var _mapProps2 = _interopRequireDefault(_mapProps);

var _ramda = require('ramda');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var systemStyles = {};

var LabelContainer = (0, _mapProps2.default)(function (_ref) {
  var className = _ref.className,
      sheet = _ref.sheet,
      style = _ref.style,
      theme = _ref.theme,
      rest = _objectWithoutProperties(_ref, ['className', 'sheet', 'style', 'theme']);

  return _extends({
    className: (0, _dedupe2.default)(sheet.classes.label, theme.classes.label, className),
    style: (0, _ramda.merge)(theme.styles.label, style)
  }, rest);
})('label');

var StyledLabel = _Shared2.default.injectSheet(systemStyles)(LabelContainer);

var Label = function Label(props) {
  return _react2.default.createElement(
    StyledLabel,
    props,
    props.children
  );
};

var classes = _Label2.default.classes;
var options = _Label2.default.options;
var styles = _Label2.default.styles;

Label.defaultProps = { theme: { classes: classes, options: options, styles: styles } };

Label.displayName = 'Label';

Label.propTypes = {
  children: _react.PropTypes.node,

  theme: _react.PropTypes.oneOfType([_react.PropTypes.bool, _react.PropTypes.object])
};

_Shared2.default.registerComponent('Label', Label);

exports.default = Label;