'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = {
  '.rw-btn': {
    'line-height': '2rem' },
  '.rw-input': {
    height: '1.9rem', // Change line height to fit in new height
    padding: '0px 8px' },
  '.rw-datetimepicker>.rw-input': {
    height: '1.5rem' },
  '.rw-state-focus': { 'background-color': '#fff', border: 'none', color: '#333', outline: 'none' }, // Changed border to none
  '.rw-state-selected': {
    'background-color': '#2975e9', // Changed background color to blue
    border: '#2975e9 1px solid', // Change border to blue
    color: '#fff', // change color to white
    // added box shadow to make interior border
    '-webkit-box-shadow': 'inset 0px 0px 0px 1px #2975e9',
    '-moz-box-shadow': 'inset 0px 0px 0px 1px #2975e9',
    'box-shadow': 'inset 0px 0px 0px 1px #2975e9'
  },
  'ul.rw-list, .rw-selectlist': {
    padding: '0' },
  'ul.rw-list>li.rw-list-option, .rw-selectlist>li.rw-list-option': {
    'border-radius': '0px', // Changed broder radius to 0
    'line-height': '1.5em'
  },
  'ul.rw-list>li.rw-list-option:hover, .rw-selectlist>li.rw-list-option:hover': {
    'background-color': '#cacdcf', // Change background to lighter gray
    'border-color': '#cacdcf' },
  'ul.rw-list>li.rw-list-option.rw-state-focus, .rw-selectlist>li.rw-list-option.rw-state-focus': {
    'background-color': '#fff',
    border: '1px solid #fff', // Not needed
    color: '#333',
    'line-height': '1.5em'
  },
  'ul.rw-list>li.rw-list-option.rw-state-focus:hover, .rw-selectlist>li.rw-list-option.rw-state-focus:hover': {
    'background-color': '#cacdcf',
    'border': '#cacdcf 1px solid',
    color: '#333'
  },
  'ul.rw-list>li.rw-list-option.rw-state-selected, .rw-selectlist>li.rw-list-option.rw-state-selected': {
    'background-color': '#2975e9', // Changed background to blue
    border: '#2975e9 1px solid', // Changed border to blue
    color: '#fff', // Changed text to white
    'line-height': '1.5em'
  },
  'ul.rw-list>li.rw-list-option.rw-state-selected:hover, .rw-selectlist>li.rw-list-option.rw-state-selected:hover': {
    'background-color': '#2975e9', // Changed background to blue
    border: '#2975e9 1px solid', // Changed border to blue
    color: '#fff' },
  '.rw-widget.rw-state-focus, .rw-widget.rw-state-focus:hover': {
    '-webkit-box-shadow': '0.5rem 1rem 2.5rem rgba(0, 0, 0, 0.2)', // Change shadow for focus
    'box-shadow': '0.5rem 1rem 2.5rem rgba(0, 0, 0, 0.2)', // Change shadow for focus
    'border': 'none'
  },
  '.rw-combobox, .rw-datetimepicker, .rw-numberpicker, .rw-dropdownlist': { 'padding-right': '1.9em', height: '2rem' }, // Added height
  '.rw-combobox:active, .rw-datetimepicker:active, .rw-dropdownlist:active, .rw-header>.rw-btn:active, .rw-numberpicker .rw-btn.rw-state-active, .rw-combobox:active.rw-state-focus, .rw-datetimepicker:active.rw-state-focus, .rw-dropdownlist:active.rw-state-focus, .rw-header>.rw-btn:active.rw-state-focus, .rw-numberpicker .rw-btn.rw-state-active.rw-state-focus': {
    '-webkit-box-shadow': '0.25rem 0.5rem 1.25rem rgba(0, 0, 0, 0.2)', // Change shadow for active
    'box-shadow': '0.25rem 0.5rem 1.25rem rgba(0, 0, 0, 0.2)' },
  '.rw-multiselect, .rw-combobox input.rw-input, .rw-datetimepicker input.rw-input, .rw-numberpicker input.rw-input': {
    '-webkit-box-shadow': 'none',
    'box-shadow': 'none'
  },
  '.rw-combobox:hover, .rw-datetimepicker:hover, .rw-numberpicker:hover, .rw-dropdownlist:hover': {
    'background-color': 'inherit',
    'border': '.0625rem solid #ced2d4'
  },
  '.rw-dropdownlist>.rw-input': {
    'line-height': '2rem' },
  '.rw-dropdownlist.rw-rtl>.rw-input': {
    padding: '0px 8px' },
  '.rw-numberpicker .rw-btn': {
    height: '.95em', // Changed height to fit in new parent height
    'line-height': '.95em' },
  '.rw-datetimepicker .rw-btn': {
    'line-height': '1.5rem' },
  '.rw-popup': {
    padding: '0px' },
  '.rw-datetimepicker.rw-has-neither .rw-input': { 'border-radius': '0px' }, // Changed broder radius
  '.rw-calendar .rw-header .rw-btn-view': {
    'background-color': '#eee', // Change color to match gray
    'border-radius': '0px' },
  '.rw-calendar .rw-footer .rw-btn:hover': { 'background-color': '#cacdcf' }, // Changed background colro
  '.rw-calendar-grid td .rw-btn': {
    'border-radius': '0px' },
  '.rw-calendar-grid td .rw-btn:hover': { 'background-color': '#cacdcf' } };